import { validateSoftwareVersion } from "./softwareVersions";

describe("Software versions", () => {
  it("validation", () =>{
    expect(validateSoftwareVersion("2023.12.01.01.A")).toEqual(true);
    expect(validateSoftwareVersion("2023.10.01.01.A")).toEqual(true);
    expect(validateSoftwareVersion("2023.09.01.01.A")).toEqual(true);
    expect(validateSoftwareVersion("2023.13.01.01.A")).toEqual(false);
    expect(validateSoftwareVersion("2023.12.01.01")).toEqual(true);
    expect(validateSoftwareVersion("2023.10.01.01")).toEqual(true);
    expect(validateSoftwareVersion("2023.09.01.01")).toEqual(true);
    expect(validateSoftwareVersion("2023.13.01.01")).toEqual(false);
    expect(validateSoftwareVersion("2023.12.01")).toEqual(false);
    expect(validateSoftwareVersion("2023.10.AA.01")).toEqual(false);
    expect(validateSoftwareVersion("2023.09.01.AA")).toEqual(false);
    expect(validateSoftwareVersion("202A.09.01.01")).toEqual(false);
    expect(validateSoftwareVersion("2023.1A.01.01")).toEqual(false);
  })
});